Name: libgnomedb
Version: 0.10.0
Release: alt1

Summary: Library for writing gnome database programs
License: LGPL
Group: System/Libraries

Source: %name-%version.tar.bz2

%define gtk_ver 2.2.0
%define libgnomeui_ver 2.2.0.1
%define pkgconfig_ver 0.15
%define GConf_ver 2.2.0
%define glade_ver 2.0.1-alt2
%define libbonoboui_ver 2.2.0
%define scrollkeeper_ver 0.3.11-alt2

PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver

Requires: libgnomeui >= %libgnomeui_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libgda2 >= %version
Requires: libglade2 >= %glade_ver
Requires: libbonoboui >= %libbonoboui_ver

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: pkgconfig >= %pkgconfig_ver
BuildPreReq: libgda2-devel >= %version
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver

# Automatically added by buildreq on Tue Jan 28 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs bonobo-activation-devel docbook-dtds docbook-style-dsssl esound-devel fontconfig freetype2 glib2-devel glibc-devel-static gnome-libs-devel gnome-vfs2-devel gtk-doc libGConf2-devel libORBit2 libXft libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libgda2-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel liblinc-devel libpango-devel libpopt-devel libssl-devel libxml2-devel libxslt-devel openjade pkgconfig scrollkeeper sgml-common zlib-devel

%description
%name is a library that eases the task of writing gnome database
programs.

%package devel
Summary: Development libraries and header files for %name
Group: Development/C
Requires: %name = %version-%release
Requires: pkgconfig >= %pkgconfig_ver
Requires: libgnomeui-devel >= %libgnomeui_ver
Requires: libgda2-devel >= %version
Requires: libgtk+2-devel >= %gtk_ver
Requires: libbonoboui-devel >= %libbonoboui_ver
Requires: libglade2-devel >= %glade_ver

%description devel
This package contains the header files and libraries needed to write and
compile programs that use %name.

%package devel-static
Summary: Static libraries for %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains static libraries needed to compile programs
statically linked with %name.

%define _libexecdir %_libdir/%name

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall

%find_lang %name-2

%post
%post_ldconfig
%gconf2_install %name
%update_scrollkeeper

%postun
%clean_scrollkeeper
%postun_ldconfig

%files -f %name-2.lang
%_bindir/*
%_libdir/*.so.*
%_libdir/bonobo/servers/*
%_libdir/bonobo/*/*.so
%_libdir/gnome-vfs-2.0/*/*.so
%_libdir/libglade/2.0/*.so
%_libexecdir
%_datadir/control-center-2.0/*/*.desktop
%_datadir/mime-info/*
%_datadir/pixmaps/*
%_datadir/omf/*
%config %_sysconfdir/gconf/schemas/*.schemas
%config %_sysconfdir/gnome-vfs-2.0/*/*.conf
%doc AUTHORS ChangeLog NEWS

%files devel
%_libdir/*.so
%_libdir/*.la
%_libdir/bonobo/*/*.la
%_libdir/gnome-vfs-2.0/*/*.la
%_libdir/libglade/2.0/*.la
%_libdir/pkgconfig/*
%_includedir/*
%doc %_datadir/gtk-doc/html/*

%files devel-static
%_libdir/*.a
%_libdir/bonobo/*/*.a
%_libdir/gnome-vfs-2.0/*/*.a
%_libdir/libglade/2.0/*.a

%changelog
* Tue Jan 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.10.0-alt1
- 0.10.0

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt1
- new version.

* Mon Oct 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.199-alt1
- 0.8.199

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.192-alt2
- rebuild with new pango, gtk+

* Thu Sep 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.192-alt1
- First build for Sisyphus.
